tigase.conf

## Class AbstractConfigBuilder<T extends Map,S extends AbstractConfigBuilder>

- java.lang.Object
- - tigase.conf.AbstractConfigBuilder<T,S>

- Direct Known Subclasses:
    AbstractBeanConfigurator.BeanDefinition.Builder, ConfigBuilder

      public class AbstractConfigBuilder<T extends Map,S extends AbstractConfigBuilder>
      extends Object

  Created by andrzej on 11.05.2017.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `map`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractConfigBuilder(T map)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `bean()`
    `T` | `build()`
    `void` | `property(String key, Object value)`
    `S` | `with(AbstractBeanConfigurator.BeanDefinition... beans)`
    `S` | `with(String property, Object value)`
    `S` | `with(String property, Optional optional)`
    `S` | `withBean(Consumer<AbstractBeanConfigurator.BeanDefinition.Builder>... builders)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          protected final T extends Map map

  - ### Constructor Detail

    - #### AbstractConfigBuilder

          protected AbstractConfigBuilder(T map)

  - ### Method Detail

    - #### bean

          public AbstractBeanConfigurator.BeanDefinition.Builder bean()

    - #### property

          public void property(String key,
                               Object value)

    - #### build

          public T build()

    - #### with

          public S with(AbstractBeanConfigurator.BeanDefinition... beans)

    - #### with

          public S with(String property,
                        Optional optional)

    - #### with

          public S with(String property,
                        Object value)

    - #### withBean

          public S withBean(Consumer<AbstractBeanConfigurator.BeanDefinition.Builder>... builders)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.